return {
 
 	methods:{
 		downloadFile:function(){
 			var zlurl = this.$route.query.url;
 			var name = this.$route.query.name;
 			var x = new XMLHttpRequest();
            x.open("GET", zlurl, true);
            x.responseType = 'blob';
            x.onload = function (e) {
                var url = window.URL.createObjectURL(x.response);
                var a = document.createElement('a');
                a.href = url;
                a.download = name;
                a.click();
                
            }
            x.send();
 		}
 	}   
}